// Création de heightmap

#include <pixlib.h>

int main()
{
	PIX *tex = pix_create(1024,1024, 3);

	//printf("0% ");
	pix_circlesAlgorithm(tex, 10, 800, 90,  200,200);
	pix_noise(tex, 10);
	pix_eclaircir(tex, -10);
	pix_blur(tex);

	//printf("20% ");
	pix_circlesAlgorithm(tex, 10, 512, 50,  200,226);
	pix_noise(tex, 10);
	pix_eclaircir(tex, -10);
	pix_blur(tex);

	//printf("40% ");
	pix_noise(tex, 20);
	pix_eclaircir(tex, -20);
	pix_blur(tex);
	//pix_blur(tex);

	//printf("60% ");
	pix_circlesAlgorithm(tex, 10, 128, 25,  220,560);
	pix_noise(tex, 10);
	pix_eclaircir(tex, -10);
	pix_blur(tex);

	//printf("80% ");
	pix_circlesAlgorithm(tex, 10, 256, 25,  400,660);
	pix_noise(tex, 10);
	pix_eclaircir(tex, -10);
	pix_blur(tex);
	//printf("100%%\n");

	pix_save_png(tex,"scripts/couleurs/3D/heightmap.png");
	pix_destroy (tex);
	return 0;
}

