#include <pixlib.h>

int main()
{
	puts("Add logo alfa");

	PIX *img1 = pix_load_png("img/1.png");
	if (!img1) return 1;

	PIX *img2 = pix_load_bmp("img/64/logo.bmp");
	if (!img2) return 1;

	// Le logo est transluicide: la valeur alpha varie de 0 à 1. Ici 0.5
	pix_blit_transluicid(img1, 10,100, img2, 0.5f);

	pix_save_png (img1, "scripts/couleurs/blending/alfa.c.png");
	pix_destroy(img1);
	pix_destroy(img2);

	puts("done");
	return 0;
}

