#include <pixlib.h>
// fusionne deux images avec le masque du canal pixel rose

int main()
{
	PIX *tex1 = pix_load_png("img/512/FRAPAT.png");
	PIX *tex2 = pix_load_bmp("img/512/debris.bmp");

	for(int y=0; y < tex1->height; y++)
	{
		for(int x=0; x < tex1->width; x++)
		{
			u8 *p2 = tex2->pixels + (x+ y * tex2->width) * tex2->nchannels;

			// si le pixel de debris n'est pas rose, y mettre pixel de l'herbe
			if (p2[0] != 255 && p2[1] != 0 && p2[2] != 255)
			{
				u8 *p  =  tex1->pixels + (x+ y * tex1->width)  * tex1->nchannels;
				p[0] = p2[0];
				p[1] = p2[1];
				p[2] = p2[2];
			}
		}
	}
	pix_save_png(tex1, "scripts/couleurs/blending/masque-rose.c.png");

	return 0;
}
