#include <pixlib.h>

int main()
{
	puts("degrade");

	PIX *img = pix_create(1,255, 3);
	if (!img) {
		puts("erreur pix_create()");
		return 1;
	}
	//printf("height:%d pixels\n", img->height);

	RGBpixel a = {106,117,78};  // vert olive
	RGBpixel b = {255,  0, 0};  // rouge

	float rdiff = (float)(b.r - a.r)/255.f;
	float gdiff = (float)(b.g - a.g)/255.f;
	float bdiff = (float)(b.b - a.b)/255.f;

	//printf("diff:%.3f %.3f %.3f\n", rdiff, gdiff, bdiff);

	for(int y=0; y < img->height; y++)
	{
		u8 *p = img->pixels + (y * img->width) * img->nchannels;   
		p[0] = b.r - (unsigned char)(y*rdiff);
		p[1] = b.g - (unsigned char)(y*gdiff);
		p[2] = b.b - (unsigned char)(y*bdiff);
	}

	pix_save_png(img, "scripts/couleurs/degrade.png");
	pix_destroy(img);

	puts("done");
	return 0;
}

