#include <pixlib.h>

// Besoin d'imprimer des boites en carton.
// Trouvé cette image, avec l'outil sot dans MSPaint mis en bleu et rose ce que je veux garder, en 2 clics.
// Le script va nettoyer et ne garder que le bleu et rose en mettant le reste en blanc.

int main()
{
	PIX *img = pix_load_png("img/boite.png");

	for(int y=0; y<img->height; y++){
		for(int x=0; x<img->width; x++)
		{
			u8* p = img->pixels + (x + y * img->width) * img->nchannels;
			// pixel bleu? → gris foncé
			if (p[0] == 0 && p[1] == 0 && p[2] == 255) p[0] = p[1] = p[2] = 50;
			// pixel rose? → gris clair
			else if (p[0] == 255 &&  p[1] == 0 && p[2] == 255) p[0] = p[1] = p[2] = 200;
			// sinon blanc
			else p[0] = p[1] = p[2] = 255;
		}
	}

	pix_save_png(img, "scripts/couleurs/detourage/boite.c.png");
	pix_destroy(img);
	return 0;
}
