// saturation: se rapprocher de la moyenne des 3 composantes
// si 100%: moyenne atteinte, tout gris
// si 0%: saturation originale
#include <pixlib.h>
#include <stdlib.h>
int main()
{
	//img = load_jpg("img/photo.jpg");
	PIX *img = pix_load_jpg("img/380x520vert.jpg");

	int taux = 20;
	int num = 0;

	for(int n=0; n<10; n++){
		printf("taux:%d\n",taux);
		for(int x=0; x < img->width; x=x+1)
		{
			for(int y=0; y < img->height; y=y+1)
			{
				u8 *p = img->pixels + (x+ y * img->width) * img->nchannels;
				// moyenne?
				float m = (p[0] + p[1] + p[2])/3;
				//print("(",r,",",g,",",b,") moy:", m);

				u8 dr = abs(m - p[0]);
				u8 mr = (p[0] * taux) / 100;

				u8 dg = abs(m - p[1]);
				u8 mg = (p[1] * taux) / 100;

				u8 db = abs(m -p[2]);
				u8 mb = (p[2] * taux) / 100;

				//setPixel(img,x,y, mr,mg,mb);
				p[0] = mr;
				p[1] = mg;
				p[2] = mb;
			}
		}

		taux = taux + 10;

		char fic[30];
		num++;
		sprintf(fic,"scripts/couleurs/satu%d.jpg", num);
		pix_save_jpg(img,fic,100);
	}

	//pix_save_jpg(img,"scripts/couleurs/saturation.jpg",100);
	pix_destroy (img);
	return 0;
}
