#include <pixlib.h>
// Fondu entre 2 images: crée nb images par interpolation de chaque pixel.
// passer cette fonction dans la lib?
int main()
{
	PIX* img = pix_load_jpg("img/380x520vert.jpg");
	PIX *dst = pix_load_jpg("img/380x520goudes.jpg");
	PIX *frame = pix_create(img->width,img->height,3);
	
	char nb = 25;
	for(char n=0; n < nb; n++)
	{
		for(int x=0; x < img->width; x++)
		{
			for(int y=0; y < img->height; y++)
			{
				u8 *a = img->pixels + (x + y * img->width) * img->nchannels;
				u8 *c = dst->pixels + (x + y * dst->width) * dst->nchannels;

				// Pour un pixel exemple, le canal rouge va de 100 à 185 donc amplitude 85 pixels.
				// En nb passages, va augmenter de amplitude/nb 85/5=17 à chaque passage
				float dr = (c[0] - a[0]) / nb;
				float dg = (c[1] - a[1]) / nb;
				float db = (c[2] - a[2]) / nb;

				// pour ce passage, augmenter de n*dr
				u8 r = c[0] - n * dr;
				u8 g = c[1] - n * dg;
				u8 b = c[2] - n * db;

				pix_setPixel(frame, x,y, r,g,b);
			}
		}
		char filename[64];
		sprintf(filename, "scripts/couleurs/video/fondu%d.jpg", n);
		pix_save_jpg(frame, filename, 100);
	}

	pix_destroy(frame);
	pix_destroy (img);
	pix_destroy (dst);

	return 0;
}

