#include <pixlib.h>
/* ZOOM OUT
  1er passage: extrait une image de 256X256 pixels à partir du point 10,10
  2e passage: extrait 257X257 pixels, puis redimensionne à 256X256
  3e passage: extrait 258X258 puis redim en 256X256
  ainsi zoom out */
int main()
{
	PIX *photo = pix_load_jpg("img/RQwfyFup4PU.jpg");

	// cadre d'extraction: carré de 200x200 en partant du point 1280,965 le milan noir
	int p[] = {1280,965};
	int w = 200;
	int h = 200;

	char nb = 20; // nombre d'images

	for(char n=0; n < nb; n++)
	{
		int x = p[0] - n;
		int y = p[1] - n;

		int bx = p[0] + w + n;
		int by = p[1] + h + n;

		//print (n,"(",x,",",y,") (", bx, ",",by,")");

		PIX *frame = pix_copy(photo);

		PIX *i = pix_extract (frame, x,y, bx, by);

		pix_redimension (i, w,h);

		char fic[64];
		sprintf(fic, "scripts/couleurs/video/zoom-out%d.jpg", n+1);
		pix_save_jpg(i, fic, 100);

		pix_destroy(i);
		pix_destroy(frame);
	}

	pix_destroy(photo);

	return 0;
}

