// redimensionne une image
#include <pixlib.h>

int main(int argc, char **argv)
{
	PIX *img = pix_load_jpg("img/380x520vert.jpg");

	// 1re façon: indiquer un pourcentage
	// On peut mettre 10% ou 250%. La valeur doit être entière
	//pix_redim(img, 10,10); // pourcentage en X et en Y

	// 2e façon: précise les dimensions en pixels de l'image finale
	// ici taille divisée par deux
	int w = img->width / 2;
	int h = img->height / 2; 
	pix_redimension(img, w,h);

	pix_save_jpg(img,"scripts/disposition/redimension.jpg",100);

	pix_destroy (img);
	
	return 0;
}

