// Une image raw est une image sans headers.
// Charge une image et l'enregistre sur le disque au format RAW cad juste les pixels.
// On doit donc savoir la largeur et heuteur de l'image pour manipuler ce genre d'image.

#include <pixlib.h>

int main()
{
	PIX* img = pix_load_png("img/512/fr.png");
	if (!img) return 1;

	//pix_sepia(img);

	pix_save_raw(img, "scripts/fileformats/image.raw", 3);

	pix_destroy(img);


	img = pix_load_raw("scripts/fileformats/image.raw", img->nchannels);
	pix_save_png(img, "scripts/fileformats/image.png");
	pix_destroy(img);

	return 0;
}

