#include <pixlib.h>

int main()
{
	//puts("AMBIENT OCCLUSION MAP - AO Map from normal map blue channel");

	PIX *nml = pix_load_bmp("scripts/couleurs/3D/normal.bmp");
	//PIX *nml = pix_load_png("scripts/couleurs/3D/normal.png");
	PIX *aoc = pix_create(nml->width, nml->height, 3);

	for(int y=0; y<nml->height; y++){
		for (int x=0; x<nml->width; x++)
		{
			// Ambient Occlusion map is just the blue channel
			//b = getBlue(nml,x,y);
			//setPixel(aoc,x,y, b,b,b);

 			u8* p = nml->pixels + (x+ y * nml->width) * nml->nchannels;
			u8 b = p[2];
 			p = aoc->pixels + (x+ y * aoc->width) * aoc->nchannels;
			p[0] = p[1] = p[2] = b;
		}
	}
	//pix_blur(aoc);
	//pix_blur(aoc);

	pix_save_bmp(aoc, "scripts/couleurs/3D/AO.bmp");

/* BAKING AMBIENT OCCLUSION MAP --------------------------------------

	puts("baking Ambient Occlusion and Diffuse map");

	PIX *tex = pix_load_bmp("diffuse.bmp");
	//aoc = pix_load_bmp("AOMap.bmp");

	pix_bake(aoc, tex);
	pix_save_bmp(tex, "finalAO.bmp");

	pix_destroy (tex);
*/
	pix_destroy(aoc);
	pix_destroy (nml);
	return 0;
}

