#include <pixlib.h>
// Création d'une texture à partir d'un heightmap
	// si altitude 0: bleu
	// sinon si alt < 120 vert
	// sinon si alt < 220 marron
	// sinon blanc
int main()
{
	puts("Loading heightmap");
	PIX *img = pix_load_png("img/1024/fr.png");

	puts("COLORMAP by elevation, please wait ...");
	for(int y=0; y < img->height; y++)
	{
		for (int x=0; x < img->width; x++)
		{
			u8 r = getRed(img,x,y);
			if      (r>150) pix_setPixel(img,x,y, r,r,r);
			else if (r>110) pix_setPixel(img,x,y, r-20,r-30,0);
			else if (r>90)  pix_setPixel(img,x,y, r-10,r-20,0);
			else if (r>50)  pix_setPixel(img,x,y, r,r-20,0);
			else if (r>30)  pix_setPixel(img,x,y, r-10,r-10,0);
			else if (r>10)  pix_setPixel(img,x,y, r-10,r,0);
			else pix_setPixel(img,x,y, 0,0,20);
		}
	}
	pix_eclaircir(img,15);
	pix_save_bmp(img,"scripts/couleurs/3D/colormap.bmp");

	puts("baking Ambient Occlusion");
	PIX* AO = pix_load_bmp("scripts/couleurs/3D/AO.bmp");
	pix_bake(AO, img);
	pix_save_bmp(img,"scripts/couleurs/3D/colormapAO.bmp");
	pix_destroy(AO);

	puts("baking Lightmap");
	PIX* LM = pix_load_bmp("scripts/couleurs/3D/lightmap.bmp");
	//pix_blur(LM);
	pix_bake(LM, img);
	pix_save_bmp(img,"scripts/couleurs/3D/ColormapAOLightmap.bmp");
	pix_destroy(LM);

	pix_destroy (img);
	return 0;
}

