#include <pixlib.h>

int main()
{
	puts("Lightmapping please wait ...");

	PIX *hmp = pix_load_png("img/1024/fr.png");

	int ombrage = 20;
	float angle_rayons = -80.0;
	float hauteur_max_rayons = 300.0;
	float hauteur_max_hmap = 5.0;

	PIX *lmap = pix_lightmap(hmp, ombrage, angle_rayons, hauteur_max_rayons, hauteur_max_hmap);
/*
	int x;
	for (x=0; x<4; x++) {
		pix_blur(lmap);
	}*/

	//pix_save_png(lmap, "scripts/couleurs/3D/lightmap.png");
	pix_save_bmp(lmap, "scripts/couleurs/3D/lightmap.bmp");
	pix_destroy(hmp);

/* BAKING LIGHTMAP -----------------------------------------------------
	puts("Baking Lightmap and Diffuse map ...\n");
	PIX *tex = pix_load_bmp("scripts/3D/diffuse.bmp");
	pix_bake(lmap, tex);
	pix_save_bmp(tex, "scripts/3D/lightmapDiffuse.bmp");
	pix_destroy (tex);
*/
	pix_destroy(lmap);

	return 0;
}

