#include <pixlib.h>

int main()
{
	PIX *hmp = pix_load_png("img/512/fr.png");
	PIX *sea = pix_create(hmp->width, hmp->height, 3);
	int x,y;
	for(y=0; y<hmp->height; y++)
	{
		for (x=0; x<hmp->width; x++)
		{
			//a = getGreen(hmp,x,y);
			u8 *p = hmp->pixels + (x+ y * hmp->width) * hmp->nchannels;
			u8 g = p[1];
			if (g > 10)
			{
				//setPixel(sea, x,y, 255,255,255);
				p = sea->pixels + (x+ y * sea->width) * sea->nchannels;
				p[0] = p[1] = p[2] = 255;
			}
		}
	}
	pix_save_bmp(sea, "scripts/couleurs/3D/sea-land-alpha.bmp");
	pix_save_png(sea, "scripts/couleurs/3D/sea-land-alpha.c.png");

	pix_destroy(sea);
	return 0;
}
