#include <pixlib.h>

/******************************************************************************/
void layer1()
{
	PIX *i = pix_load_bmp("img/512/camo/5.bmp");
	if (!i) return;

	for(int y=0; y < i->height; y++){
		for(int x=0; x < i->width; x++){
			u8* p = i->pixels + (x+ y * i->width) * i->nchannels;

			if (p[0] == 255 && p[1] == 255 && p[2] == 255){
				p[0] = 76; // vert foncé
				p[1] = 78;
				p[2] = 56;
			}
			else{
				p[0] = 124; // marron clair
				p[1] = 116;
				p[2] = 95;
			}
		}
	}
	pix_save_bmp(i,"scripts/couleurs/blending/camo/FRAPAT1.bmp");
	pix_destroy(i);
}
/******************************************************************************/
void layer2()
{
	PIX *i = pix_load_bmp("scripts/couleurs/blending/camo/FRAPAT1.bmp");
	PIX *m = pix_load_bmp("img/512/camo/2.bmp");

	for(int y=0; y < i->height; y++){
		for(int x=0; x < i->width; x++){
			u8 *p = m->pixels + (x+ y * m->width) * m->nchannels;
			if (p[0] != 255 && p[1] != 255 && p[2] != 255)
			{
				p = i->pixels + (x+ y * i->width) * i->nchannels;
				p[0] = 75; // marron foncé
				p[1] = 48;
				p[2] = 39;
			}
 		}
	}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/FRAPAT2.bmp");
	pix_destroy(i);
	pix_destroy(m);
}
/******************************************************************************/
void layer3()
{
	PIX *i = pix_load_bmp("scripts/couleurs/blending/camo/FRAPAT2.bmp");
	PIX *m = pix_load_bmp("img/512/camo/3.bmp");

	for(int y=0; y < i->height; y++){
		for(int x=0; x < i->width; x++){
			u8 *p = m->pixels + (x+ y * m->width) * m->nchannels;
			if (p[0] != 255 && p[1] != 255 && p[2] != 255)
			{
				p = i->pixels + (x+ y * i->width) * i->nchannels;
				p[0] = 20; // noir
				p[1] = 20;
				p[2] = 20;
			}
		}
	}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/FRAPAT3.bmp");
	pix_destroy(i);
	pix_destroy(m);
}
/* ****************************************************************************/
void tissu()
{
	PIX *a = pix_load_bmp("scripts/couleurs/blending/camo/FRAPAT3.bmp");
	PIX *b = pix_load_bmp("img/512/camo/tissu.bmp");

	pix_blit_transluicid(a, 0,0, b, .5f);
	pix_eclaircir(a, -100);
	pix_save_png(a, "scripts/couleurs/blending/camo/FRAPATfinal.png");

	pix_destroy(a);
	pix_destroy(b);
}
/******************************************************************************/
int main()
{
	layer1();
	layer2();
	layer3();
	tissu();
	return 0;
}

