#include <pixlib.h>

/******************************************************************************/
void layer1() // blanc et gris
{
 	PIX* img = pix_load_bmp("img/512/camo/1.bmp");

	for(int x=0; x < img->width; x++)
	{
		for(int y=0; y < img->height; y++)
		{
			u8 *p = img->pixels + (x+ y * img->width) * img->nchannels;
			if(p[0]==255 && p[1]==255 && p[2]==255){
				p[0] = 255; // blanc
				p[1] = 255;
				p[2] = 255;
			}
			else{
				p[0] = 150; // gris
				p[1] = 150;
				p[2] = 150;
			}
		}
	}
	pix_save_bmp(img, "scripts/couleurs/blending/camo/hiver1.bmp");
	pix_destroy(img);
}
/******************************************************************************/
void layer2() // vert
{
	PIX* i = pix_load_bmp("scripts/couleurs/blending/camo/hiver1.bmp");
	PIX* m = pix_load_bmp("img/512/camo/2.bmp");

	for(int x=0; x < i->width; x++)
	{
		for(int y=0; y < i->height; y++)
		{
			u8 *p = m->pixels + (x+ y * m->width) * m->nchannels;
			if(p[0]!=255 && p[1]!=255 && p[2]!=255)
			{
				p = i->pixels + (x+ y * i->width) * i->nchannels;
				p[0] = 167;
				p[1] = 178;
				p[2] = 168;
			}
		}
	}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/hiver2.bmp");
	pix_destroy(i);
	pix_destroy(m);
}
/******************************************************************************/
void layer3() // gris clair
{
	PIX* i = pix_load_bmp("scripts/couleurs/blending/camo/hiver2.bmp");
	PIX* m = pix_load_bmp("img/512/camo/3.bmp");

	for(int x=0; x < i->width; x++)
	{
		for(int y=0; y < i->height; y++)
		{
			u8 *p = m->pixels + (x+ y * m->width) * m->nchannels;
			if(p[0]!=255 && p[1]!=255 && p[2]!=255)
			{
				p = i->pixels + (x+ y * i->width) * i->nchannels;
				p[0] = 240; 
				p[1] = 240;
				p[2] = 240;
			}
		}
	}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/hiver3.bmp");
	pix_destroy(i);
	pix_destroy(m);
}
/******************************************************************************/
void tissu()
{
	PIX* a = pix_load_bmp("scripts/couleurs/blending/camo/hiver3.bmp");
	PIX* b = pix_load_bmp("img/512/camo/tissu.bmp");
  
	//pix_eclaircir(b, -60);
	//pix_eclaircir(a, 30);
	//pix_blit_transparent(a, 0,0, b, .2f, 255,255,255);
	pix_blit_transluicid(a, 0,0, b, .3f);
	//pix_bake(a,b);
	//pix_eclaircir(a, 20);

	pix_save_png(a, "scripts/couleurs/blending/camo/hiver.png");
	pix_destroy(a);
	pix_destroy(b);
}

/******************************************************************************/
int main(int n)
{
	layer1();
	layer2();
	layer3();
	tissu();
	return 0;
}

