#include <pixlib.h>

/******************************************************************************/
void layer1()
{
	PIX *i = pix_load_bmp("img/512/camo/1.bmp"); if (!i) return;

	for(int y=0; y < i->height; y++)
	{
		for(int x=0; x < i->width; x++)
		{
			u8 *p = i->pixels + (x+ y * i->width) * i->nchannels;

			if (p[0] == 255 && p[1] == 255 && p[2] == 255)
			{
				/*p[0] = 75; // marron foncé
				p[1] = 48;
				p[2] = 39;*/
				p[0] = 191;//234;//248;//236; // marron très clair
				p[1] = 180;//226;//240;//230;
				p[2] = 148;//203;//219;//206;
			}
			else
			{
				/*p[0] = 164;//220; // marron clair
				p[1] = 143;//214;
				p[2] = 116;//190; */
				p[0] = 161; // noir
				p[1] = 138;
				p[2] = 120;
			}
		}
	}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/sable1.bmp");
	pix_destroy(i);
}
/******************************************************************************/
void layer2()
{
	PIX *i = pix_load_bmp("scripts/couleurs/blending/camo/sable1.bmp");
	PIX *m = pix_load_bmp("img/512/camo/2.bmp");

	for(int y=0; y < i->height; y++)
		for(int x=0; x < i->width; x++)
		{
			u8 *p = m->pixels + (x+ y * m->width) * m->nchannels;
			if (p[0] != 255 && p[1] != 255 && p[2] != 255)
			{
				u8 *p2 = i->pixels + (x+ y * i->width) * i->nchannels;
				p2[0] = 54; // marron foncé
				p2[1] = 38;
				p2[2] = 12;
			}
		}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/sable2.bmp");
	pix_destroy(i);
	pix_destroy(m);
}
/******************************************************************************/
void layer3()
{
	PIX *i = pix_load_bmp("scripts/couleurs/blending/camo/sable2.bmp");
	PIX *m = pix_load_bmp("img/512/camo/3.bmp");

	for(int y=0; y < i->height; y++)
		for(int x=0; x < i->width; x++)
		{
			u8 *p = m->pixels + (x+ y * m->width) * m->nchannels;
			if (p[0] != 255 && p[1] != 255 && p[2] != 255)
			{
				u8 *p2 = i->pixels + (x+ y * i->width) * i->nchannels;
				p2[0] = 164;//220; // marron clair
				p2[1] = 143;//214;
				p2[2] = 116;//190;
			}
		}
	pix_save_bmp(i, "scripts/couleurs/blending/camo/sable3.bmp");
	pix_destroy(i);
	pix_destroy(m);
}
/* ****************************************************************************/
void tissu()
{
	PIX *a = pix_load_bmp("scripts/couleurs/blending/camo/sable3.bmp");
	PIX *b = pix_load_bmp("img/512/camo/tissu.bmp");
  
	//pix_eclaircir(b, 50);
	//pix_eclaircir(a, 30);

	pix_blit_transluicid(a, 0,0, b, .3f);
	//pix_bake(a,b);

	//pix_eclaircir(a, 20);
	pix_eclaircir(a, -30);
	pix_save_png(a, "scripts/couleurs/blending/camo/sablefinal.png");

	pix_destroy(a);
	pix_destroy(b);
}
/******************************************************************************/
int main(int n)
{
	layer1();
	layer2();
	layer3();
	tissu();
	return 0;
}


