#include <pixlib.h>

int main()
{
	PIX *img1, *img2;

	printf("Add logo avec une couleur servant de masque\n");

	img1 = pix_load_png("img/1.png");
	if (!img1) return 1;

	img2 = pix_load_bmp("img/64/logo.bmp");
	if (!img2) return 1;

	// Tout pixel BLANC du logo sera ignoré donc transparent au final
	RGBcolor t;
		t.r = 255;
		t.g = 255;
		t.b = 255;

	// Logo sera transluicide: la valeur alpha varie de 0 à 1. Ici 0.5
	pix_blit_transparent(img1, 10,100, img2, 1, &t);

	pix_save_png(img1, "scripts/couleurs/blending/couleur-masque.png");

	pix_destroy(img1);
	pix_destroy(img2);

	printf("done\n");
	return 0;
}

