#include <pixlib.h>

int main()
{
	PIX *img1 = pix_load_bmp("img/512/debris.bmp");
	if (!img1) return 1;

	PIX *img2 = pix_load_bmp("scripts/couleurs/blending/masque-rose.c.bmp");
	if (!img2) return 1;

	// Crée l'image finale. Elle est noire par défaut.
	PIX *diff = pix_create(img1->width, img1->height, img1->nchannels);
	pix_difference(img1, img2, diff); // remplit diff des différences

	pix_save_jpg(diff, "scripts/couleurs/difference.jpg",100);

	pix_destroy(img1);
	pix_destroy(img2);
	pix_destroy(diff);
	return 0;
}

