#include <pixlib.h>

int main(int argc, char **argv)
{
	PIX *img = pix_load_png("img/1.png");

	RGBcolor rose = {100,70,100};
	pix_horizontal_line(img, 10,25, 50, &rose);

	RGBcolor vert = {0,255,0};
	pix_vertical_line(img, 	 10,25, 50, &vert);

	RGBcolor rouge = {255,0,0};
	pix_draw_line(img, 10,25, 50,70, &rouge);

	pix_draw_line(img, 50,70, 200,40, &rouge);

	RGBcolor b = {150,170,150};
	// aligné sur le bord superieur droit
	pix_circle(img, img->width-30, img->height-30, 	30,&b);

	pix_rectangle(img, 30,50, 30,150,&rose);

	pix_square(img, 100,50, 50, &vert);

	pix_save_png(img,"scripts/couleurs/draw-shapes.png");
	pix_destroy(img);
	return 0;
}

