#include <pixlib.h>
/* traveling()
  A partir de la grande photo,
  extrait un frame de 1920X1080 pixels
  pour générer 120 images dans le dossier film

  Ensuite dans Avidemux ouvrir la 1re image, Enregistrer en avi.
  Puis charger avi (Mpeg4 ASP) pour enregistrer en mp4 avec Mp4v2Muxer
*/
int main()
{
	// la photo fait 2560X1920 pixels (Nikon P500)
	PIX *photo = pix_load_jpg("img/RQwfyFup4PU.jpg");

	// extrait une partie de la grande photo vers le petit frame à partir de
	short x = 1150;
	short y = 734;

	char nb = 5; // nombre d'images

	for(char n=1; n < nb; n++)
	{
		// La video finale fera 640X480 pixels
		short ax = x;
		short ay = y + 2*n;
		short bx = ax + 640;
		short by = ay + 480;

		PIX *frame = pix_copy(photo);

		PIX *i = pix_extract (frame, ax,ay, bx,by);
		//redim (frame, 50+2*n,50+2*n);

		char fic[64];
		sprintf(fic, "scripts/couleurs/video/travelling-bas%d.jpg", n);
		pix_save_jpg(i, fic, 100);

		pix_destroy(i);
		pix_destroy(frame);
	}

	pix_destroy(photo);

	return 0;
}


