#include <pixlib.h>
/* TRAVELLING HAUT
  Ensuite dans avidemux ouvrir la 1re image, enregistrer en avi.
  Puis charger avi (Mpeg4 ASP) pour enregistrer en mp4 avec Mp4v2Muxer*/
int main()
{
	// Grande photo
	PIX *photo = pix_load_jpg("img/RQwfyFup4PU.jpg");

	// extrait une partie de la grande photo, vers le petit frame
	int x = 631;
	int y = 415;

	char nb = 5; // nombre d'images

	for(char n=1; n < nb; n++)
	{
		// La video finale fera 640X480 pixels
		int ax = x;
		int ay = y - 2*n;
		int bx = ax + 640;
		int by = ay + 480;

		PIX *frame = pix_copy(photo);

		PIX *i = pix_extract (frame, ax,ay, bx,by);

		char fic[64];
		sprintf(fic, "scripts/couleurs/video/travelling-haut%d.jpg", n);
		pix_save_jpg(i, fic, 100);

		pix_destroy(i);
		pix_destroy(frame);
	}

	pix_destroy(photo);

	return 0;
}
