#include <pixlib.h>
// crée image 400x400 et la remplit

int main()
{
	printf("Créer image...");

	PIX *img = pix_create(400,400, 3);
	if (!img) return 1;

	u8 r=50,g=100,b=150;
	//RGBpixel start;
	//start.r = r; start.g = g; start.b = b; 
	RGBpixel start = {r,g,b};

	for(int y=0; y < img->height; y++)
		for(int x=0; x < img->width; x++)
		{
			pix_setPixel(img, x,y, r,g,b);
			r--; if (r==0) r = start.r;
			g--; if (g==0) g = start.g;
			b--; if (b==0) b = start.b;
		}

	pix_save_png(img, "scripts/creer-image.c.png");
	pix_destroy(img);

	printf("voir scripts/creer-image.c.png\n");
	return 0;
}

